#
# spec file for package lftp (Version 2.6.6)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  gcc-c++ libstdc++-devel openssl-devel
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gcc-c++ gdbm gettext libstdc++-devel libtool openssl-devel perl rpm

Name:         lftp
#
# spec file for package lftp (Version 2.6.5)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#
License:      GPL
Group:        Productivity/Networking/Ftp/Clients
URL:          http://lftp.yar.ru/
Autoreqprov:  on
Version:      2.6.6
Release:      71
Summary:      Lftp command line file transfer program
Source:       %{name}-%{version}.tar.bz2
Patch:        %{name}-%{version}-http-overflow-fix.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Lftp is a shell-like command line ftp client. It is reliable: can retry
operations and does reget automatically. It can do several transfers
simultaneously in background. You can start a transfer in background
and continue browsing the ftp site or another one. This all is done in
one process. Background jobs will be completed in nohup mode if you
exit or close modem connection. Lftp has reput, mirror, reverse mirror
among its features. Since version 2.0 it also supports http protocol.
Other features include: ipv6 support, context sensitive completion,
output redirection to files or to pipe, ftp and http proxy support,
transfer rate throttling for each connection and for all connections in
sum, job queueing, job execution at specified time, opie/skey support
in ftp protocol, ssl for http and ftp, fxp transfers.



Authors:
--------
    Alexander V. Lukyanov <lav@yars.free.net>

%prep
%setup  
%patch

%build
%{?suse_update_config:%{suse_update_config}}
libtoolize --force
aclocal -I m4
autoheader
autoconf
automake
CFLAGS="-DUSE_VARARGS -DPREFER_STDARG $RPM_OPT_FLAGS" \
CXXFLAGS="-DUSE_VARARGS -DPREFER_STDARG $RPM_OPT_FLAGS" \
./configure \
	--with-modules \
        --mandir=%{_mandir} \
        --prefix=/usr  \
	--libdir=%{_libdir} \
	--host=%{_target_cpu}-suse-linux
make DESTDIR=$RPM_BUILD_ROOT

%install
[ -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf  %{buildroot}
make DESTDIR=$RPM_BUILD_ROOT install
# We don't package the .la files
rm -f $RPM_BUILD_ROOT/%{_libdir}/lftp/*/*.la

%files
%defattr(-,root,root)
%doc BUGS COPYING ChangeLog FAQ FEATURES README* NEWS THANKS TODO lftp.lsm
%config /etc/lftp.conf
%{_bindir}/*
%{_mandir}/man*/*
%{_datadir}/lftp
%{_datadir}/locale/*/*/*.mo
%dir %{_libdir}/lftp
%dir %{_libdir}/lftp/%{version}
%{_libdir}/lftp/*/*.so

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf  %{buildroot}

%changelog -n lftp
* Mon Dec 08 2003 - postadal@suse.cz
- fixed remote exploitable buffer overflow while using HTTP/HTTPS [#33528]
* Thu Sep 18 2003 - postadal@suse.cz
- fixed to use stdarg [#30819]
* Wed Aug 20 2003 - postadal@suse.cz
- removed forgotten __os_install_post
* Thu Jul 24 2003 - postadal@suse.cz
- updated to version 2.6.6
* Mon Jun 02 2003 - poeml@suse.de
- run automake
* Wed May 14 2003 - mmj@suse.de
- Update to 2.6.5 including:
  * new mirror options --log=<file> and --script=<file> to produce
  lftp commands equivalent to the actions done (log) or to be
  done (script) by mirror. `-' as file name means stdout.
  * fixed a dead-lock when resuming FXP with passive source.
  * re-get file size and date after HTTP redirect.
  * added workarounds for proftpd.
  * handle EPIPE (Broken pipe) error as temporary network error.
  * fixed a dead-lock in HTTP retrieval after redirect.
  * added cls option --sort=date (Oskar Liljeblad).
  * fixed compilation on OpenBSD and older Solaris.
  * fixed handling of symbolic links in find.
  * lftp -f and -c options can now be combined
  * fixed slot handling in non-interactive mode.
  * fixed large file support in cat command.
  * fixed dante socks compilation.
  * fixed data connection abort with ssl connection to wu-ftpd.
- Remove files we don't want to package
* Fri Jan 10 2003 - postadal@suse.cz
- updated to version 2.6.4
  * new settings net:socket-bind-ipv4 and net:socket-bind-ipv6 to bind sockets
  to a specific address (to select a specific network interface)
  * reget does not start transfer if not needed
  * ssl:verify-certificate set to no by default
  * fixed ~ handling in find and mirror
* Fri Dec 06 2002 - postadal@suse.cz
- new package: lftp 2.6.3
